=== 3rdparty/wiiuse/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(wiiuselib)

#set (CMAKE_VERBOSE_MAKEFILE ON)

#
# Set default build mode
#

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Debug CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

#
# Compilation flags
#

#IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
#	ADD_DEFINITIONS (-DWITH_WIIUSE_DEBUG)
#ENDIF()

IF (CMAKE_COMPILER_IS_GNUCC)
	ADD_DEFINITIONS (-Wall)
ENDIF()

SET (WIIUSE_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}/include")
INCLUDE_DIRECTORIES(${WIIUSE_INCLUDE_DIRECTORIES})

IF (NOT EXECUTABLE_OUTPUT_PATH)
	set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
ENDIF()

IF (NOT LIBRARY_OUTPUT_PATH)
	set (LIBRARY_OUTPUT_PATH ${EXECUTABLE_OUTPUT_PATH})
ENDIF()

SET(WIIUSE_BUILD_EXAMPLES OFF CACHE BOOL "Build examples")

add_subdirectory(src)

IF (WIIUSE_BUILD_EXAMPLES)
	add_subdirectory(example)
	add_subdirectory(example-sdl)
ENDIF()
