=== src/mod_camera/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(mod_camera)

set(mod_camera_SRCS
	${CUSTOM_INCLUDE_PATH}/mod_camera/iplimagetype.h
	${CUSTOM_INCLUDE_PATH}/mod_camera/roitype.h
	roitype.cpp
	mod_camera.cpp
	mod_camera.h
	wcameraconfiguration.cpp
	wcameraconfiguration.h
	wcamerapanel.cpp
	wcamerapanel.h
	wxroicontrol.h
	wxroicontrol.cpp
)

# Base library
FIND_PACKAGE( OpenCV REQUIRED )
INCLUDE_DIRECTORIES (${OpenCV_INCLUDE_DIR})
INCLUDE_DIRECTORIES (..)

add_library (mod_camera SHARED ${mod_camera_SRCS})
target_link_libraries(mod_camera creavision)
target_link_libraries(mod_camera spcore)
target_link_libraries(mod_camera ${Boost_THREAD_LIBRARY})
target_link_libraries(mod_camera ${Boost_PROGRAM_OPTIONS_LIBRARY})
target_link_libraries(mod_camera ${wxWidgets_LIBRARIES})

ADD_SUBDIRECTORY(tests)

INSTALL (TARGETS mod_camera RUNTIME DESTINATION ${PLUGINDIR} LIBRARY DESTINATION ${LIBDIR})
