=== src/mod_io/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(mod_io)

set(mod_io_SRCS
	mod_io.cpp
	filebrowser.h
	filebrowser.cpp
	textfiledump.h
	textfiledump.cpp
)

find_package(Boost COMPONENTS filesystem REQUIRED)
add_library (mod_io SHARED ${mod_io_SRCS})

target_link_libraries(mod_io ${Boost_FILESYSTEM_LIBRARY})
target_link_libraries(mod_io spcore)
if (ENABLE_NLS)
	target_link_libraries(mod_io ${LIBINTL_LIBRARIES})
endif(ENABLE_NLS)

INSTALL (TARGETS mod_io RUNTIME DESTINATION ${PLUGINDIR} LIBRARY DESTINATION ${LIBDIR})
