=== src/mod_midi/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(mod_midi)

find_package ( PortMidi REQUIRED )
if (MSVC)	
	find_file (PortMidi_RUNTIME_REL portmidi.dll HINTS $ENV{PORTMIDIDIR}/lib $ENV{PORTMIDIDIR}/bin)
	find_file (PortMidi_RUNTIME_DBG portmidid.dll HINTS $ENV{PORTMIDIDIR}/lib $ENV{PORTMIDIDIR}/bin)
		
	install_to_msvc_build_directory("${EXECUTABLE_OUTPUT_PATH}" "${PortMidi_RUNTIME_REL}")
	install_to_msvc_build_directory("${EXECUTABLE_OUTPUT_PATH}" "${PortMidi_RUNTIME_DBG}")
endif(MSVC)

set(mod_midi_SRCS
	${CUSTOM_INCLUDE_PATH}/mod_midi/midi_types.h
	mod_midi.cpp
	midiconfiggui.h
	midiconfiggui.cpp
)

include_directories (${PortMidi_INCLUDE_DIRS})
add_library (mod_midi SHARED ${mod_midi_SRCS})
target_link_libraries(mod_midi spcore)
target_link_libraries(mod_midi ${PortMidi_LIBRARIES})
target_link_libraries(mod_midi ${wxWidgets_LIBRARIES})

ADD_SUBDIRECTORY(tests)

INSTALL (TARGETS mod_midi RUNTIME DESTINATION ${PLUGINDIR} LIBRARY DESTINATION ${LIBDIR})

if(WIN32)
	install(FILES ${PortMidi_RUNTIME_DBG} DESTINATION "${LIBRUNTIMEDIR}" CONFIGURATIONS Debug)
	install(FILES ${PortMidi_RUNTIME_REL} DESTINATION "${LIBRUNTIMEDIR}" CONFIGURATIONS Release RelWithDebInfo)
endif(WIN32)
