=== src/mod_score_player/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(mod_score_player)

set(mod_score_player_SRCS
	mod_score_player.cpp
	scoreplayer.h
	scoreplayer.cpp
	instrselect.h
	instrselect.cpp
)

add_library (mod_score_player SHARED ${mod_score_player_SRCS})
target_link_libraries(mod_score_player spcore)
target_link_libraries(mod_score_player ${Boost_THREAD_LIBRARY})

INSTALL (TARGETS mod_score_player RUNTIME DESTINATION ${PLUGINDIR} LIBRARY DESTINATION ${LIBDIR})
