=== src/mod_sdl/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(mod_sdl)

set (SDL_BUILDING_LIBRARY ON)
find_package ( SDL REQUIRED )

set(mod_sdl_SRCS
	${CUSTOM_INCLUDE_PATH}/mod_sdl/sdlsurfacetype.h
	mod_sdl.cpp
)

set(mod_sdl_gui_SRCS
	config_gui.h
	config_gui.cpp
)

include_directories (${SDL_INCLUDE_DIR})

# Base library
add_library (mod_sdl SHARED ${mod_sdl_SRCS})
target_link_libraries(mod_sdl spcore)
target_link_libraries(mod_sdl ${SDL_LIBRARY})

# Base gui library
add_library (mod_sdl_gui SHARED ${mod_sdl_gui_SRCS})
target_link_libraries(mod_sdl_gui spcore)
target_link_libraries(mod_sdl_gui ${wxWidgets_LIBRARIES})

add_subdirectory(tests)

INSTALL (TARGETS mod_sdl RUNTIME DESTINATION ${PLUGINDIR} LIBRARY DESTINATION ${LIBDIR})

IF (WIN32)
	FIND_PATH (SDL_RUNTIME_LIBS_DIR SDL.dll
		HINTS
		$ENV{SDLDIR}
		PATH_SUFFIXES lib64 lib
		PATHS)
	FILE (GLOB SDL_RUNTIME_LIBS ${SDL_RUNTIME_LIBS_DIR}/*.dll)
	
	INSTALL (PROGRAMS ${SDL_RUNTIME_LIBS} DESTINATION ${LIBRUNTIMEDIR})
ENDIF (WIN32)
