=== src/mod_vision/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(mod_vision)

FIND_PACKAGE( OpenCV REQUIRED )
INCLUDE_DIRECTORIES (${OpenCV_INCLUDE_DIR})
INCLUDE_DIRECTORIES (..)

set(mod_vision_SRCS
	mod_vision.cpp	
	oftracker.h
	oftracker.cpp
)

add_library (mod_vision SHARED ${mod_vision_SRCS})
target_link_libraries(mod_vision creavision)
target_link_libraries(mod_vision spcore)

INSTALL (TARGETS mod_vision RUNTIME DESTINATION ${PLUGINDIR} LIBRARY DESTINATION ${LIBDIR})
