=== debian/changelog ===
sitplus (1.0.1-3) unstable; urgency=low

  * debian/control: Build-Depends: libcv-dev (>= 2.3.1-7)
  * debian/rules:
    - Apply patch kindly provided by Nobuhiro Iwamatsu
      <iwamatsu@debian.org> (thanks)
      Closes: #653799
    - Add "-lopencv_core -lopencv_highgui" to linker flags because
      cmake seems to fail adding these

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2012 10:10:13 +0100

sitplus (1.0.1-2) unstable; urgency=low

  * debian/patches/as-needed.patch: Fix FTBFS with --as-needed linker option.
    (Thanks to Ilya Barygin <randomaction@ubuntu.com> for the patch)
    Closes: #647401
  * debian/control: Added myself to uploaders
  * Debhelper 8 (control+compat)
  * debian/copyright: Some DEP5 related reformating

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2011 09:24:12 +0100

sitplus (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #635597)
  * Changed license for graphics/pictures which enables dirstribution
    in Debian
  * doc_location_fix patch no longer needed: fixed in upstream.
  * Fixing patches descriptions.

 -- Luis Rivas Vañó <luinix@gmail.com>  Mon, 22 Aug 2011 14:20:38 +0200

sitplus (1.0.0-2) UNRELEASED; urgency=low

  * Minor changes in debian directory organization.
  * Added a manpage for sitplus package.
  * Changed the maintainer and added myself as an uploader.
  * Updated Vcs fields in control file.
  * Fixing copyright file: BY-NC-SA version from 2.5 to 3.0.
  * Added descriptions to quilt patches.
  * Added a new quilt patch for fixing spelling error in source code.
  * Removed templates from debian/rules

 -- Luis Rivas Vañó <luinix@gmail.com>  Wed, 17 Aug 2011 15:46:11 +0200

sitplus (1.0.0-1) UNRELEASED; urgency=low

  * First packaging effort

 -- Luis Rivas Vañó <luinix@gmail.com>  Wed, 27 Jul 2011 14:22:14 +0200
