=== debian/control ===
Source: sitplus
Section: misc
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Luis Rivas Vañó <luinix@gmail.com>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), cmake, libpoco-dev, libboost-dev,
 libboost-program-options-dev, libboost-thread-dev, libboost-system-dev,
 wx2.8-headers, libwxbase2.8-dev, libbluetooth-dev, libconfig8-dev, libsdl1.2-dev,
 libcv-dev (>= 2.3.1-7), libcvaux-dev, libhighgui-dev, libv4l-dev, libportmidi-dev,
 libboost-filesystem-dev, asciidoc, libsdl-gfx1.2-dev, libsdl-image1.2-dev,
 libwxgtk2.8-dev
Standards-Version: 3.9.2
Homepage: http://sitplus.crea-si.com
Vcs-Git: git://git.debian.org/debian-med/sitplus.git
Vcs-Browser: http://git.debian.org/?p=debian-med/sitplus.git

Package: sitplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sitplus-data, pd-cyclone, pd-freeverb, pd-iemnet, puredata, pd-libdir, pd-list-abs
Description: Free software framework for ludic-therapeutic activities
 SITPLUS is a free software (GNU GPL) framework whose main goal is to provide
 ludic-therapeutic activities for people with disabilities. It offers new forms
 of interaction based on computer vision, voice and other peripherals to
 produce a result in the form of image and sound. Inspired by the cause and
 effect applications, SITPLUS provides a tool for continuous and remote
 interaction, attainable to the majority of people with cognitive, sensory and
 physical disabilities.

Package: sitplus-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sitplus
Description: Data files for Sitplus, a framework for ludic-therapeutic activities
 SITPLUS is a free software (GNU GPL) framework whose main goal is to provide
 ludic-therapeutic activities for people with disabilities. It offers new forms
 of interaction based on computer vision, voice and other peripherals to
 produce a result in the form of image and sound. Inspired by the cause and
 effect applications, SITPLUS provides a tool for continuous and remote
 interaction, attainable to the majority of people with cognitive, sensory and
 physical disabilities.
 .
 This package provides the data for sitplus.
